<?php

function rf_enabled_settings()
{
	$opt = get_option( 'rf_settings' );
	if (!isset($opt['rf_enabled_settings']))
	{
		$value = '';	
	} else {
		$value = 'checked';
	}
	echo '<div class="rf_field">
			<span class="main_control">Require The Posts
				<div class="slideThree floatright main_btns">
					<input type="checkbox" class="ch_location main_input" value="" id="rf_enabled_settings" style="display: none;" name="rf_settings[rf_enabled_settings]" '.$value.' />
					<label for="rf_enabled_settings"></label>
				</div>
			</span>
		</div>';
}

function rf_for_page_enabled()
{
	/* ENABLED FOR PAGE */
	$opt = get_option( 'rf_settings' );
	if (!isset($opt['rf_for_page_enabled']))
	{
		$value = '';
		
	} else {
		$value = 'checked';
	}	
	echo '<div class="rf_field">
			<span class="main_control">Require The Pages
				<div class="slideThree floatright main_btns">
					<input type="checkbox" class="ch_location main_input" value="" id="rf_for_page_enabled" style="display: none;" name="rf_settings[rf_for_page_enabled]" '.$value.' />
					<label for="rf_for_page_enabled"></label>
				</div>
			</span>
		</div>';
	/* END ENABLED FOR PAGE */
}

function rf_for_page_text()
{
	$opt = get_option( 'rf_settings' );
	
	/* FOR PAGE TITLE */
	if (!isset($opt['rf_title_for_page']))
	{
		$rf_title_for_page = '';
	} else {
		$rf_title_for_page = 'checked';
	}
	echo '<div class="rf_field">
			<span class="main_control">Require The Title
				<div class="slideThree floatright main_btns">
					<input type="checkbox" class="ch_location main_input" value="" id="rf_title_for_page" style="display: none;" name="rf_settings[rf_title_for_page]" '.$rf_title_for_page.' />
					<label for="rf_title_for_page"></label>
				</div>
			</span>
		</div>';
		
	/* END FOR PAGE TITLE */
	
	$opt = get_option( 'rf_settings' );
	/* FOR PAGE IMAGE */
	if (!isset($opt['rf_image_for_page']))
	{
		$rf_image_for_page = '';
	} else {
		$rf_image_for_page = 'checked';
	}
	echo '<div class="rf_field">
			<span class="main_control">Require The Image
				<div class="slideThree floatright main_btns">
					<input type="checkbox" class="ch_location main_input" value="" id="rf_image_for_page" style="display: none;" name="rf_settings[rf_image_for_page]" '.$rf_image_for_page.' />
					<label for="rf_image_for_page"></label>
				</div>
			</span>
		</div>';
		
	/* END FOR PAGE IMAGE */
}

function rf_main_section_text(){
	rf_title_settings();
	rf_excerpt_settings();
	rf_category_settings();
	rf_tag_settings();
	rf_image_settings();
}

function rf_error_logs_text()
{
	$opt = get_option( 'rf_settings' );
	
	/* Title Error Logs */
	if (!isset($opt['rf_title_error']))
	{
		$rf_title_error = $default_settings['rf_title_error'];
		
	} else {
		$rf_title_error = $opt['rf_title_error'];
	}
	echo '<div class="rf_error_field">
			<input type="text"  value="'.$rf_title_error.'" id="rf_title_error" name="rf_settings[rf_title_error]" />
			<label for="rf_title_error">Set Error Log For Title</label>
		  </div>';
			  
	/* END Title Error Logs */
	
	/* Excerpt Error Logs */
	if (!isset($opt['rf_excerpt_error']))
	{
		$rf_excerpt_error = $default_settings['rf_excerpt_error'];
	} else {
		$rf_excerpt_error = $opt['rf_excerpt_error'];
	}
	echo '<div class="rf_error_field">
			<input type="text"  value="'.$rf_excerpt_error.'" id="rf_excerpt_error" name="rf_settings[rf_excerpt_error]" />
			<label for="rf_excerpt_error">Set Error Log For Excerpt</label>
		 </div>';
	
	/* END Excerpt Error Logs */
	
	/* Category Error Logs */
	if (!isset($opt['rf_cat_error']))
	{
		$rf_cat_error = $default_settings['rf_cat_error'];
	} else {
		$rf_cat_error = $opt['rf_cat_error'];
	}
	echo '<div class="rf_error_field">
			<input type="text"  value="'.$rf_cat_error.'" id="rf_cat_error" name="rf_settings[rf_cat_error]" />
			<label for="rf_cat_error">Set Error Log For Category</label>
		  </div>';
	
	/* END Category Error Logs */
	/* Tag Error Logs */
	if (!isset($opt['rf_tag_error']))
	{
		$rf_tag_error = $default_settings['rf_tag_error'];
	} else {
		$rf_tag_error = $opt['rf_tag_error'];
	}
	echo '<div class="rf_error_field">
			<input type="text"  value="'.$rf_tag_error.'" id="rf_tag_error" name="rf_settings[rf_tag_error]" />
			<label for="rf_tag_error">Set Error Log For Tags</label>
		  </div>';
	
	/* END Tag Error Logs */
	
	/* Post Image Error Logs */
	if (!isset($opt['rf_img_error']))
	{
		$rf_img_error = $default_settings['rf_img_error'];
	} else {
		$rf_img_error = $opt['rf_img_error'];
	}
	echo '<div class="rf_error_field">
			<input type="text"  value="'.$rf_img_error.'" id="rf_img_error" name="rf_settings[rf_img_error]" />
			<label for="rf_img_error">Set Error Log For Featured Image</label>
		 </div>';
	
	/* END Post Image Error Logs */
}

function rf_save_draft_text()
{
	$opt = get_option('rf_settings');
	if (!isset($opt['rf_save_draft']))
	{
		$value = '';
	} else {
		$value = 'checked';
	}
	echo '<div class="rf_field">
			<span class="main_control">Require The Drafts
				<div class="slideThree floatright main_btns">
					<input type="checkbox" class="ch_location main_input" value="" id="rf_save_draft" style="display: none;" name="rf_settings[rf_save_draft]" '.$value.' />
					<label for="rf_save_draft"></label>
				</div>
			</span>
		</div>';
}

function rf_title_settings()
{
	$opt = get_option('rf_settings');
	if (!isset($opt['rf_title_settings']))
	{
		$value = '';
	} else {
		$value = 'checked';
	}
	echo '<div class="rf_field">
			<span class="main_control">Require The Title
			<div class="slideThree floatright main_btns">
				<input type="checkbox" class="ch_location main_input" value="" id="rf_title_settings" style="display: none;" name="rf_settings[rf_title_settings]" '.$value.' />
				<label for="rf_title_settings"></label>
			</div>
			</span>
		</div>';
}

function rf_excerpt_settings()
{
	$opt = get_option('rf_settings');
	if (!isset($opt['rf_excerpt_settings']))
	{
		$value = '';
	} else {
		$value = 'checked';
	}
	echo '<div class="rf_field">
			<span class="main_control">Require The Excerpt</span>
			<div class="slideThree floatright main_btns">
				<input type="checkbox" class="ch_location main_input" value="" id="rf_excerpt_settings" style="display: none;" name="rf_settings[rf_excerpt_settings]" '.$value.' />
				<label for="rf_excerpt_settings"></label>
			</div>
		</div>';
}

function rf_category_settings()
{
	$opt = get_option('rf_settings');
	if (!isset($opt['rf_category_settings']))
	{
		$value = '';
	} else {
		$value = 'checked';
	}
	echo '<div class="rf_field">
			<span class="main_control">Require The Category</span>
			<div class="slideThree floatright main_btns">
				<input type="checkbox" class="ch_location main_input" value="" id="rf_category_settings" style="display: none;" name="rf_settings[rf_category_settings]" '.$value.' />
				<label for="rf_category_settings"></label>
			</div>
		</div>';

}

function rf_tag_settings()
{
	$opt = get_option('rf_settings');
	if (!isset($opt['rf_tag_settings']))
	{
		$value = '';
	} else {
		$value = 'checked';
	}
		echo '<div class="rf_field">
				<span class="main_control">Require The Tag</span>
				<div class="slideThree floatright main_btns">
					<input type="checkbox" class="ch_location main_input" value="" id="rf_tag_settings" style="display: none;" name="rf_settings[rf_tag_settings]" '.$value.' />
					<label for="rf_tag_settings"></label>
				</div>
			</div>';
}

function rf_image_settings()
{
	$opt = get_option('rf_settings');
	if (!isset($opt['rf_image_settings']))
	{
		$value = '';
	} else {
		$value = 'checked';
	}
		echo '<div class="rf_field">
				<span class="main_control">Require The Featured Image</span>
				<div class="slideThree floatright main_btns">
					<input type="checkbox" class="ch_location main_input" value="" id="rf_image_settings" style="display: none;" name="rf_settings[rf_image_settings]" '.$value.' />
					<label for="rf_image_settings"></label>
				</div>
			</div>';
}